Problem with Bluetooth USB Host Controller: Connection time-out after connecting to device

Bug #1617619 reported by Maxelon on 2016-08-27
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

1.) Release: Ubuntu 16.04 LTS
Kernel: Ubuntu 4.4.0-34.53-generic 4.4.15
CPU: Intel® Core™ i5-2450M CPU @ 2.50GHz × 4
Graphics: Gallium 0.4 on NVC1
OS type: 64-bit

2.)package-version (gnome-bluetooth): 3.18.2-1ubuntu2

3.) I expected a smooth connection of the computer to my speakers via bluetooth.

4.)... but after a short connection it sometimes gets a timeout. I faced this problem several times now, but not after every boot. I always tried to log-out and log-in again, as well as restarting the computer. Sometimes it helped, but this time it didn't work.

I tried to fix it like in this report:
http://askubuntu.com/questions/804014/stuck-on-a-bluetooth-problem
they suggested it may be a kernel problem, therefore I thought it might be a good idea to report this, as it could be a bug.

Here are some outputs:

tingatinga@Xel:~$ dmesg | grep -i blue
[ 2.461258] usb 1-1.5: Product: Bluetooth USB Host Controller
[ 8.686487] Bluetooth: Core ver 2.21
[ 8.686504] Bluetooth: HCI device and connection manager initialized
[ 8.686509] Bluetooth: HCI socket layer initialized
[ 8.686512] Bluetooth: L2CAP socket layer initialized
[ 8.686518] Bluetooth: SCO socket layer initialized
[ 10.878528] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 10.878533] Bluetooth: BNEP filters: protocol multicast
[ 10.878539] Bluetooth: BNEP socket layer initialized
[ 24.914041] usb 1-1.5: Product: Bluetooth USB Host Controller
[ 25.036498] Bluetooth: RFCOMM TTY layer initialized
[ 25.036506] Bluetooth: RFCOMM socket layer initialized
[ 25.036512] Bluetooth: RFCOMM ver 1.11
[ 1180.258184] usb 1-1.5: Product: Bluetooth USB Host Controller
[ 1182.331574] Bluetooth: hci0 command 0x0c16 tx timeout
[ 1184.335420] Bluetooth: hci0 command 0x2002 tx timeout
[ 1186.339358] Bluetooth: hci0 command 0x2003 tx timeout
[ 1188.343276] Bluetooth: hci0 command 0x201c tx timeout
[ 1814.065219] usb 1-1.5: Product: Bluetooth USB Host Controller
[ 1833.224835] usb 1-1.5: Product: Bluetooth USB Host Controller
[ 1835.345966] Bluetooth: hci0 command 0x0c13 tx timeout
[ 1837.353923] Bluetooth: hci0 command 0x2009 tx timeout
[ 1839.357812] Bluetooth: hci0 command 0x0c52 tx timeout
[ 1919.603466] Bluetooth: hci0 command 0x0405 tx timeout
[ 1959.698076] Bluetooth: hci0 command 0x0408 tx timeout
[ 2014.352121] Bluetooth: hci0 command 0x0408 tx timeout
[ 2104.859182] usb 1-1.5: Product: Bluetooth USB Host Controller
[ 2106.932712] Bluetooth: hci0 command 0x2003 tx timeout
[ 2108.936570] Bluetooth: hci0 command 0x201c tx timeout
[ 2110.940554] Bluetooth: hci0 command 0x1002 tx timeout
[ 2112.944538] Bluetooth: hci0 command 0x0c52 tx timeout

tingatinga@Xel:~$ lspci -knn | grep Net -A2; lsusb
02:00.0 Network controller [0280]: Qualcomm Atheros AR9485 Wireless Network Adapter [168c:0032] (rev 01)
 Subsystem: Foxconn International, Inc. Unex DHXA-225 [105b:e044]
 Kernel driver in use: ath9k
Bus 002 Device 003: ID 276d:1160
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 002: ID 0fce:0192 Sony Ericsson Mobile Communications AB
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 010: ID 0489:e036 Foxconn / Hon Hai
Bus 001 Device 003: ID 05ca:18c0 Ricoh Co., Ltd
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

tingatinga@Xel:~$ dmesg | grep ath3k; dkms status
[ 8.777178] usbcore: registered new interface driver ath3k

tingatinga@Xel:~$ dmesg | grep ath9k; dkms status
[ 9.105129] ath9k 0000:02:00.0 wlp2s0: renamed from wlan0
[ 68.612969] ath9k 0000:02:00.0 wlp2s0: disabling HT as WMM/QoS is not supported by the AP
[ 68.612973] ath9k 0000:02:00.0 wlp2s0: disabling VHT as WMM/QoS is not supported by the AP
[ 1295.614238] ath9k 0000:02:00.0 wlp2s0: disabling HT as WMM/QoS is not supported by the AP
[ 1295.614242] ath9k 0000:02:00.0 wlp2s0: disabling VHT as WMM/QoS is not supported by the AP
[ 1664.599594] ath9k 0000:02:00.0 wlp2s0: disabling HT as WMM/QoS is not supported by the AP
[ 1664.599598] ath9k 0000:02:00.0 wlp2s0: disabling VHT as WMM/QoS is not supported by the AP

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-34-generic 4.4.0-34.53
ProcVersionSignature: Ubuntu 4.4.0-34.53-generic 4.4.15
Uname: Linux 4.4.0-34-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: tingatinga 3843 F.... pulseaudio
 /dev/snd/controlC0: tingatinga 3843 F.... pulseaudio
CurrentDesktop: Unity
Date: Sat Aug 27 21:18:54 2016
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=7e8096b7-e5c4-4eec-99dc-065ab5a50e0f
InstallationDate: Installed on 2016-08-16 (10 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
MachineType: Sony Corporation VPCF24M1E
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-34-generic root=UUID=72b027b3-24e9-402b-9cc1-23abeaa8dc46 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-34-generic N/A
 linux-backports-modules-4.4.0-34-generic N/A
 linux-firmware 1.157.3
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/23/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R2160V3
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR2160V3:bd09/23/2011:svnSonyCorporation:pnVPCF24M1E:pvrC60AXSB6:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCF24M1E
dmi.product.version: C60AXSB6
dmi.sys.vendor: Sony Corporation

Maxelon (speedy-maxales) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.8 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8-rc3

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Maxelon (speedy-maxales) wrote :

Sry for delaying my response

I don't remember, if I did an update before, but I know, that I struggled with this problem, since I had installed 16.04 LTS.
I followed the wiki-entry and booted the kernel version "4.8.0-040800rc3-generic" you suggested me to try right now, but still the bluetooth function does not work.

The graphical interface just displays "bluetooth is disabled". The hardware switch is on "on", so it can only be a software problem.

Might it be possible, that there is just a problem with my settings?

I will add the tag "kernel-bug-exists-upstream" and mark this bug as confirmed.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
summary: - Problem with Bluetooth USB Host Controller: Connection time-out after
- connecting to device
+ [kernel-bug-exists-upstream] Problem with Bluetooth USB Host Controller:
+ Connection time-out after connecting to device
Maxelon (speedy-maxales) on 2016-09-08
tags: added: kernel-bug-exists-upstream
summary: - [kernel-bug-exists-upstream] Problem with Bluetooth USB Host Controller:
- Connection time-out after connecting to device
+ Problem with Bluetooth USB Host Controller: Connection time-out after
+ connecting to device

Maxelon, to keep this relevant to upstream, one would want to test the latest mainline kernel (now 4.8-rc5) as it is released.

Could you please advise?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Maxelon (speedy-maxales) wrote :

Christopher,

i tested the latest mainline kernel "4.8.0-040800rc5-generic".
Unfortunately, nothing changed; still, the graphical interface displays "bluetooth is disabled".

Can you give me an advice on what to do now?
Do you need more outputs?
And should I deinstall the mainline kernel?

Greetings

tags: added: kernel-bug-exists-upstream-4.8-rc5
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Serge (rijman) wrote :

I have same problem with my ElementaryOS 0.4.1 based on Ubuntu 16.04.
Kernel - 4.4.0-97-generic #120-Ubuntu SMP Tue Sep 19 17:28:18 UTC 2017
CPU - i5-3210M

I upgaded bluetoothctl from 5.37 to 5.46, but problem still exists.

$ dmesg | grep -i blue
[ 3.113911] usb 1-1.2: Product: Bluetooth USB Host Controller
[ 5.291238] Bluetooth: Core ver 2.21
[ 5.292778] Bluetooth: HCI device and connection manager initialized
[ 5.292783] Bluetooth: HCI socket layer initialized
[ 5.292786] Bluetooth: L2CAP socket layer initialized
[ 5.292793] Bluetooth: SCO socket layer initialized
[ 5.379880] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 5.379883] Bluetooth: BNEP filters: protocol multicast
[ 5.379887] Bluetooth: BNEP socket layer initialized
[ 7.407838] Bluetooth: hci0 command 0x0c13 tx timeout
[ 9.411812] Bluetooth: hci0 command 0x0c52 tx timeout
[ 11.796839] Bluetooth: RFCOMM TTY layer initialized
[ 11.796846] Bluetooth: RFCOMM socket layer initialized
[ 11.796851] Bluetooth: RFCOMM ver 1.11

$ lspci -knn | grep Net -A2; lsusb
02:00.0 Network controller [0280]: Qualcomm Atheros AR9485 Wireless Network Adapter [168c:0032] (rev 01)
 Subsystem: Samsung Electronics Co Ltd AR9485 Wireless Network Adapter [144d:4105]
 Kernel driver in use: ath9k
 Kernel modules: ath9k, wl
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 2232:1029 Silicon Motion WebCam SC-13HDL11939N
Bus 001 Device 004: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0
Bus 001 Device 003: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 002: ID 0458:6001 KYE Systems Corp. (Mouse Systems) GF3000F Ethernet Adapter
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

$ dmesg | grep ath3k; dkms status
[ 5.295230] usbcore: registered new interface driver ath3k
bcmwl, 6.30.223.271+bdcom, 4.4.0-96-generic, x86_64: installed
bcmwl, 6.30.223.271+bdcom, 4.4.0-97-generic, x86_64: installed
$ dmesg | grep ath9k; dkms status
bcmwl, 6.30.223.271+bdcom, 4.4.0-96-generic, x86_64: installed
bcmwl, 6.30.223.271+bdcom, 4.4.0-97-generic, x86_64: installed

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers